/*
By: Frank Kroondijk, 2006
More info:
http://www.overnight.nl
http://dotnetpret.blogspot.com
mail: fh_kroondijk@yaho%nospam%o.com
when used, leave this comment in place
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Extensibility;
using EnvDTE;
using EnvDTE80;

namespace OvernightPowerAddIns
{
    public partial class Settings : UserControl
    {
        public Settings()
        {
            InitializeComponent();
        }

        private DTE2 m_dte;			// Reference to the Visual Studio DTE object
        public DTE2 DTE
        {
            set
            {
                m_dte = value;
            }
            get
            {
                return m_dte;
            }
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.openFileDialog1.ShowDialog();
            if(System.IO.File.Exists(this.openFileDialog1.FileName)) this.txtCurrentSettingsFile.Text = this.openFileDialog1.FileName;
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (this.txtCurrentSettingsFile.Text.Length > 0)
            {
                if (System.IO.File.Exists(this.txtCurrentSettingsFile.Text) && this.txtCurrentSettingsFile.Text.EndsWith(".xml"))
                {
                    OvernightPowerAddIns.Classes.Common.Setting.SetSettingFile(this.txtCurrentSettingsFile.Text);
                }
            }
        }

        private void Settings_Load(object sender, EventArgs e)
        {
            this.txtCurrentSettingsFile.Text = OvernightPowerAddIns.Classes.Common.Setting.GetSettingFile();
        }

        private void btnOpen_Click(object sender, EventArgs e)
        {
            try
            {
                this.DTE.ItemOperations.OpenFile(this.txtCurrentSettingsFile.Text, EnvDTE.Constants.vsViewKindTextView);
            }
            catch (Exception ee)
            {
                
                throw;
            }
          
        }

 



    }
}
